Bug Hunting Session
Bug 126908 - no keyID for some tooltips in table toolbar
Summary: no keyID for some tooltips in table toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:6.4.0 target:6.3.2 target:6.3.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2019-08-14 07:36 UTC by Jean-Baptiste Faure
Modified: 2019-08-19 17:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2019-08-14 07:36:10 UTC
Description:
Several tooltips in the table toolbar of Writer do not have keyID and therefore are not translatable.

Steps to Reproduce:
0. configure the master to show keyID (qtz pseudo-language)
1. open a new empty text document
2. insert a table -> the table toolbar appears
3. move the mouse over each button of the table toolbar

Actual Results:
following tooltips do not have keyID and are not translatable:
- Delete selected rows
- Delete selected columns
- Delete table
- Select Cell
- Select Table

Expected Results:
These strings should have keyID and made translatable.


Reproducible: Always


User Profile Reset: No



Additional Info:
q8p26‖Version: %ABOUTBOXPRODUCTVERSION%ABOUTBOXPRODUCTVERSIONSUFFIX
XZmEs‖Build ID: 9c92c5e2a4bf15d673b5a8a2589b3109cb0603f7
Dk4vc‖CPU threads: 4; 5DyEd‖OS: Linux 4.15; Yqrwo‖UI render: ZitRE‖default; VCL: gtk3; 
Ubuntu_18.04_x86-64
Ru2AA‖Locale: fr-FR (fr_FR.UTF-8); ixqfF‖UI-Language: qtz
Calc: threaded
Comment 1 Laurent BP 2019-08-16 08:03:25 UTC
Confirmed with Version: 6.3.0.4
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
Threads CPU : 8; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 2 Laurent BP 2019-08-16 08:15:51 UTC
Confirmed with q8p26‖Version: 6.3.0.0.alpha1
XZmEs‖Build ID: 547edd20e527fb02900f6174973770d26306e2e7
Dk4vc‖CPU threads: 8; 5DyEd‖OS: Linux 4.15; Yqrwo‖UI render: ZitRE‖default; VCL: gtk3; 
Ru2AA‖Locale: fr-FR (fr_FR.UTF-8); QJGRG‖UI-Language: qtz
Calc: threaded
Comment 3 Laurent BP 2019-08-16 08:18:42 UTC
NOT reproduced with Version: 6.2.6.2
Build ID: 684e730861356e74889dfe6dbddd3562aae2e6ad
Threads CPU : 8; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 5 Commit Notification 2019-08-16 13:57:09 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/003369b6d76225761373d46754890dd7f3c296c3%5E%21

tdf#126908 Add lang to Tooltiplabel

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-08-17 05:00:54 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/97b6565f27acad7288de016530c753f27f9d55f9%5E%21

tdf#126908 Add lang to Tooltiplabel

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-08-19 17:08:43 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-1":

https://git.libreoffice.org/core/+/f935c5fe36692de209d40a5ba54e9098e0a55575%5E%21

tdf#126908 Add lang to Tooltiplabel

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.